CAN_RWD_Type Union Reference

## Data Fields

struct {
uint32_t WDC:8
uint32_t WDV:8
uint32_t __pad0__:16
} | bit
uint32_t | reg

## Detailed Description

Definition at line 186 of file can.h.

## Field Documentation

## __pad0__

uint32_t CAN_RWD_Type::__pad0__

bit: 16..31 Reserved

Definition at line 190 of file can.h.

## bit

struct { ... } CAN_RWD_Type::bit

Structure used for bit access

## reg

uint32_t CAN_RWD_Type::reg

Type used for register access

Definition at line 192 of file can.h.

## WDC

uint32_t CAN_RWD_Type::WDC

bit: 0.. 7 Watchdog Configuration

Definition at line 188 of file can.h.

## WDV

uint32_t CAN_RWD_Type::WDV

bit: 8..15 Watchdog Value

Definition at line 189 of file can.h.

The documentation for this union was generated from the following file:

- /storage/Shared/Documents/Projects/ePenguin/ePenguin-Software-Framework/arch/arm/SAME54/SAME54A/mcu/inc/component/can.h